Subject: Re: bug#48153: 28.0.50; minor mode keymaps should not override keymap given to read-from-minibuffer

From: Jimmy Yuen Ho Wong <[email-masked]>
Date: Tue, 4 May 2021 14:52:20 +0100

It's literally just a global minor mode defined for your test minor
mode, basically `(define-global-minor-mode test-global-mode test-mode
(lambda() t))`

Jimmy

On Tue, May 4, 2021 at 2:13 PM Gregory Heytings <[email-masked]> wrote:
>
>
> >
> > Sorry I missed a reproduction step. You have to turn on the minor mode
> > for the minibuffers. In my config there actually is a global minor mode
> > that turns the minor mode on even for the minibuffer.
> >
> > In Emacs 27, turning the minor mode on inside the minibuffer would not
> > override the key map given to read-from-minibuffer.
> >
> > I was able to reproduce this on a pristine init.el with just these
> > reproduction steps plus turning the minor mode on for all buffers with a
> > global minor mode.
> >
>
> Thanks for your clarification.  Could your perhaps mention what that minor
> mode is?  Otherwise it's rather difficult to reproduce and debug your
> problem.